﻿<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class DemoSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup';

    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies)
    {
        $defs = array();

        $show_tv = isset($plugin_cookies->show_tv) ?
            $plugin_cookies->show_tv : 'yes';
        $show_vod = isset($plugin_cookies->show_vod) ?
            $plugin_cookies->show_vod : 'yes';
        $epg_shift = isset($plugin_cookies->epg_shift) ?
            $plugin_cookies->epg_shift : '0';

        $show_ops = array();
        $show_ops['yes'] = 'Да';
        $show_ops['no'] = 'Нет';

        for ($i = -12; $i<13; $i++)
		$shift_ops[$i*3600] = $i;

        $this->add_combobox($defs,
            'show_tv', 'Показывать TV в главном меню:',
            $show_tv, $show_ops, 0, true);

        $this->add_combobox($defs,
            'epg_shift', 'Коррекция программы (час):',
            $epg_shift, $shift_ops, 0, true);

        $this->add_label($defs,'Представитель услуги:','Общество Любителей Халявы');
        $this->add_label($defs,'Разработка плагина:','zlostnyi - forum.hdtv.ru');
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print('Setup: handle_user_input:');
        foreach ($user_input as $key => $value)
            hd_print("  $key => $value");

        if ($user_input->action_type === 'confirm')
        {
            $control_id = $user_input->control_id;
            $new_value = $user_input->{$control_id};
            hd_print("Setup: changing $control_id value to $new_value");

            if ($control_id === 'show_tv')
                $plugin_cookies->show_tv = $new_value;
            else if ($control_id === 'show_vod')
                $plugin_cookies->show_vod = $new_value;
            else if ($control_id === 'epg_shift')
                $plugin_cookies->epg_shift = $new_value;
        }

        return ActionFactory::reset_controls(
            $this->do_get_control_defs($plugin_cookies));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
